Bug 2109634 - Add module profile information to modulemd enpoints
Summary: Add module profile information to modulemd enpoints
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.13.0
Assignee: satellite6-bugs
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-21 16:34 UTC by Samir Jha
Modified: 2022-12-08 18:25 UTC (History)
4 users (show)

Fixed In Version: rubygem-katello-4.7.0,python-pulp-rpm-3.18.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 35653 0 Normal New Index module profiles for modular repos 2022-10-19 19:31:48 UTC
Github pulp pulp_rpm issues 2456 0 None closed Add profile information to modulemd endpoint 2022-09-30 16:39:14 UTC
Red Hat Issue Tracker SAT-14350 0 None None None 2022-12-08 16:01:01 UTC

Description Samir Jha 2022-07-21 16:34:34 UTC
Description of problem:

With pulp3, we no longer have access to profiles for a module in pulp API and in Satellite(katello). The core usecase of registered hosts running installing profiles works fine because the pulp metadata has this information.

However, admins no longer can see profiles of a module inside Satellite UI/API because this information is not indexed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Sync modular repo with profiles. ex: Rhel8 Appstream
2. Looks at any module, ex: nodejs. This comes with profiles like minimal, development etc which you can see with dnf module list on a registered host.
3. No way to get this information directly inside satellite for admins to see.

Actual results:


Expected results:


Additional info:

Comment 1 Brad Buckingham 2022-07-21 17:41:12 UTC
Adding Regression keyword as this appears to be a change in behavior between pulp 2 (sat-6.9) and pulp 3 (sat-6.10).

Comment 5 Bryan Kearney 2022-10-28 00:04:00 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35653 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.